Subject: Re: bug#4473: after-load-functions: files are not absolute, some are missed

From: Juanma Barranquero <[email-masked]>
Date: Fri, 18 Sep 2009 05:18:17 +0200

On Fri, Sep 18, 2009 at 01:02, Glenn Morris <[email-masked]> wrote:

> i) the file names stored are not absolute, though the doc of
> after-load-functions says they should be. (It's actually better in
> this case that they are non-absolute, but it conflicts with the doc.)

>From the docstring of `load-history':

  During preloading, the file name recorded is relative to the main Lisp
  directory.  These file names are converted to absolute at startup.

So perhaps the docstring of `after-load-functions' should be fixed to
note this discrepancy.

    Juanma